let table;

function preload() {
    table = loadTable( 
      	"https://gist.githubusercontent.com/olga-kondr/97a99529ee87de637253a2f52e6ef1c2/raw/49c224fbc18e58aa8c80ededa90d108e9ca1f189/b_rate_1000",
        "csv", 
        "header"
    );
}

function setup() {
    createCanvas(500, 450);
    background(240);
}

function draw() {
    noStroke();
    fill(150, 150, 150);
    textSize(16);
    text('Birth Rates per 1000 in 2016 in California.', 100, 20);
    textSize(12);

    stroke(color(190, 190, 190));
    let step = 20;
    for (let i = 0; i < table.getRowCount(); i++) {
      line(100, 300-i*50, 450, 300-i*50);
      noStroke();
      textAlign(RIGHT);
      text(step*(i+1), 80, 300-50*i);
      textAlign(LEFT);
      stroke(color(190, 190, 190));
    }

    noStroke();
    push();
    let axisy = radians(270);
    translate(20, 180);
    rotate(axisy);
    textSize(16);
    text('Count', -50, 10);
    textSize(12);
    pop();
  
    let len = 5*7;
    let xStart = 15*7;
    let j = 0;
    noStroke();
    do {
        text(j, 100+j*7, 380);
        j += 5;
    } while (j < 50);
    for (let r = 0; r < table.getRowCount(); r++) {
      rateNumber = table.get(r,1); 
      stroke(color(190, 190, 190));
      fill(60, 127, 214);
      rect(100+xStart+r*len, 350-rateNumber*2.5, len, rateNumber*2.5);
      fill(150, 150, 150);
    }
    noStroke();
    textSize(16);
    text('Age', 260, 430);
    textSize(12);

    stroke(color(0, 0, 0));
    line(100, 350, 100, 45)
    line(100, 350, 450, 350);
    noStroke();
    textAlign(RIGHT);
    text('0', 80, 350);
    textAlign(LEFT);
}
